--- channels/chan_sip.c.orig	2009-11-24 14:37:48.000000000 +0300
+++ channels/chan_sip.c	2009-11-24 15:50:34.000000000 +0300
@@ -5999,12 +6000,11 @@
 	}
 
 	if (found) { /* Some cisco equipment returns nothing beside c= and m= lines in 200 OK T38 SDP */
-		p->t38.peercapability = peert38capability;
+		p->t38.peercapability |= peert38capability;
 		p->t38.jointcapability = (peert38capability & 255); /* Put everything beside supported speeds settings */
 		peert38capability &= (T38FAX_RATE_14400 | T38FAX_RATE_12000 | T38FAX_RATE_9600 | T38FAX_RATE_7200 | T38FAX_RATE_4800 | T38FAX_RATE_2400);
-		p->t38.jointcapability |= (peert38capability & p->t38.capability); /* Put the lower of our's and peer's speed */
+		p->t38.jointcapability |= (p->t38.peercapability & p->t38.capability); /* Put the lower of our's and peer's speed */
 	}
-	if (debug)
 		ast_log(LOG_DEBUG, "Our T38 capability = (%d), peer T38 capability (%d), joint T38 capability (%d)\n",
 			p->t38.capability,
 			p->t38.peercapability,
